function [ output_args ] = vectorplotter2( coord_mats, coord_mati )
%UNTITLED13 Summary of this function goes here
%   Detailed explanation goes here
figure('Color',[1 1 1])

for i=1:length(coord_mats)-1
    subplot(3,2,i)
    quiver3(0,0,0,coord_mati{i}(1,1),coord_mati{i}(1,2),...
        coord_mati{i}(1,3),'k')
    hold on
    quiver3(0,0,0,coord_mati{i}(2,1),coord_mati{i}(2,2),...
        coord_mati{i}(2,3),'g')
    quiver3(0,0,0,coord_mati{i}(3,1),coord_mati{i}(3,2),coord_mati{i}(3,3),'r')
    subplot(3,2,i)
    quiver3(0,0,0,coord_mats{i+1}(1,1),coord_mats{i+1}(1,2),...
        coord_mats{i+1}(1,3),'k')
    quiver3(0,0,0,coord_mats{i+1}(2,1),coord_mats{i+1}(2,2),...
        coord_mats{i+1}(2,3),'g')
    quiver3(0,0,0,coord_mats{i+1}(3,1),coord_mats{i+1}(3,2),...
        coord_mats{i+1}(3,3),'r')
    xlabel('X axis'), ylabel('Y axis'), zlabel('Z axis')
    title(['Black: Lumbar-' num2str(i) ' Green: Lumbar-' num2str(i+1)])
end
end

